# Updating an existing Workspace Group

This endpoint returns structured Workspace Group objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_groups top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /workspace_groups/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- rate_card_sets (RateCardSet) - Rate Card Sets associated with the group.
- workspaces (Workspace) - Workspaces associated with the group.

## Request fields (application/json):

  - `workspace_group` (object)

  - `workspace_group.name` (string, required)
    The name of the group.

  - `workspace_group.add_workspace_ids` (array)
    The IDs of the workspaces to add to this group. Workspaces already associated with the workspace group will retain association. The authorizing user must have access to all the specified workspaces.

  - `workspace_group.remove_workspace_ids` (array)
    The IDs of the workspaces to remove from this group. The authorizing user must have access to all specified workspaces.

  - `workspace_group.notes` (string)
    Notes on the group.

  - `workspace_group.company` (boolean)
    Whether the group represents a company.

  - `workspace_group.contact_name` (string)
    The name of the company contact.

  - `workspace_group.email` (string)
    The email of the company contact.

  - `workspace_group.phone_number` (string)
    The phone number of the company contact.

  - `workspace_group.address` (string)
    The address of the company contact.

  - `workspace_group.website` (string)
    The website of the company contact.

  - `workspace_group.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `workspace_group.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `workspace_group.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `workspace_group.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `workspace_group.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `workspace_group.external_reference.external_message` (string)
    The message on the external object.

  - `workspace_group.external_reference.external_link` (string)
    The link to the external object.

  - `workspace_group.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `workspace_group.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_groups` (object)

  - `external_references` (object)

  - `workspaces` (object)

  - `rate_card_sets` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


